package ru.meat.tomb;

import android.os.Bundle;
import android.content.Context;
import android.util.Log;
import android.view.View;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Rect;
import android.graphics.Paint.Style;
import android.graphics.Paint.FontMetrics;
import android.graphics.drawable.*;

public class MapView extends View{
	public final int mw = 10,mh = 10,step = 18;
    public int camx,camy,x,y;
    private final Game game;
	
    public MapView(Context context){
	    super(context);
	    this.game = (Game) context;
    	setFocusable(true);
    	setFocusableInTouchMode(true);
    	game.fillArea(2,2,6,6,1);
    	game.fillArea(3,3,4,4,2);
    }
	
	@Override
	protected void onDraw(Canvas canvas){
		int r;
		Paint grass = new Paint();
		grass.setColor(getResources().getColor(R.color.grs));
		Paint wall = new Paint();
		wall.setColor(getResources().getColor(R.color.wall));
		for(int c1=0;c1<mh;c1++){
			for(int c=0;c<mw;c++){
				//canvas.drawText(String.valueOf(this.game.getTile(c,c1)),step*(c+1),step*(c1+1),grass);
				Log.d("DRAW", c1+","+c);
				if(game.getTile(c,c1).t==0){
					canvas.drawText(",",step*(c+1),step*(c1+1),grass);}
				if(game.getTile(c,c1).t==1){
				    canvas.drawText("#",step*(c+1),step*(c1+1),wall);}
				if(game.getTile(c,c1).t==2){
					canvas.drawText(",",step*(c+1),step*(c1+1),wall);}
			}
		}
	}
}